---
title: "About Sketchy Maze"
draft: false
---

_Sketchy Maze_ is a "drawing-based maze game" themed around hand-drawn maps
on paper.

![Screenshot of the level editor](/images/lava.png)

You can draw your own custom maps, freehand or with some basic drawing tools,
and then drag and drop some "[doodads](/guidebook/doodads.html)" such as Buttons,
Keys and Doors onto your map to spice it up. You can use any colors you want,
and say which colors should be solid and which are fire, and draw anything you
want. Make your level a castle or a cave, your imagination is the limit!

If the built-in doodads aren't enough, you can also make your own! There's
[documentation in the Guidebook](/guidebook/custom-doodads/index.html) how to
make a custom doodad, and there (will be) some example doodads you can build
[here](https://code.sketchymaze.com/declassified/doodads).

This game is still in **alpha release mode** and it has a few major features
still to add.

## Inspiration

I'm a 90's kid, and when I was growing up in the era of Sega Genesys and Super
Nintendo games, I used to like to draw my own maps on paper of a 2D platformer
style game. I'd borrow ideas from all sorts of videogames I liked, and draw
some buttons that open a door across the level when pressed (and I'd draw a
dotted line connecting the two so I don't forget), put in trapdoors and lava
pits and slippery slopes and such, and then I'd "play" my level with my
imagination.

When you're just drawing with a pen and paper, the maze can be anything you want.
You can draw a castle or a cave, place little gizmos and traps throughout the
level (doors, keys, buttons and things) to create puzzles. Do you want the red
pixels to mean "fire" and burn the player? Or do you want to decorate the tops
of "bloody" spikes with red? Either way, the 'fire' attribute on that color will
do the job and you can draw whatever shape you want for your level hazards.

![Palette editor](/images/palette.png)

## Mod Friendly

While the game ships with a [handful of built-in doodads](doodads.md) to
spice up your level, you can also create your own and program them to do
whatever you want, with JavaScript!

## See Also

For more information about _Sketchy Maze_, please see the following links:

* The [Guidebook](/guidebook) site that ships as part of the game includes tons
  of end user documentation and screenshots. Be sure to check it out!
* The [Frequently Asked Questions](/faq) page will offer more information in a
  "Q&A" format.
